Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1354129 - screen flickering on T440s with kernel-4.6.3-300
Summary: screen flickering on T440s with kernel-4.6.3-300
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lyude
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-09 21:09 UTC by Viktor Ashirov
Modified: 2017-08-08 15:29 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 15:29:19 UTC


Attachments (Terms of Use)
dmesg with drm.debug=0x6 (deleted)
2016-08-09 20:09 UTC, Christian Weiss
no flags Details
dmesg (deleted)
2016-08-10 18:21 UTC, Viktor Ashirov
no flags Details
dmesg.txt file of peters Lenovo S540 (deleted)
2016-09-07 22:04 UTC, peter
no flags Details

Description Viktor Ashirov 2016-07-09 21:09:25 UTC
Description of problem:
After upgrade to kernel-4.6.3-300.fc24.x86_64, my screen on T440s started to flick from time to time. 
I have T440s with i7-4600U:
00:02.0 VGA compatible controller: Intel Corporation Haswell-ULT Integrated Graphics Controller (rev 0b)

Version-Release number of selected component (if applicable):
kernel-4.6.3-300.fc24.x86_64

How reproducible:
Non-deterministically

Steps to Reproduce:
1. Install F24
2. Upgrade kernel to kernel-4.6.3-300.fc24.x86_64

Actual results:
Screen randomly flicks.

Expected results:
No screen flickering should occur.

Additional info:
With kernel-4.5.7-300.fc24.x86_64 no screen flickering is observed.

I suspect that this series of patches introduced this: 
http://pkgs.fedoraproject.org/cgit/rpms/kernel.git/commit/?id=7d2c2f2d91793b5da452bee9bea4fa32051c8608

Comment 1 Viktor Ashirov 2016-07-10 18:44:34 UTC
Josh, I believe this a Fedora kernel issue, not xorg-x11-drv-intel. It happens in FB console as well.

In fact, I started to disable patches and rebuild the package. 
After disabling 0005-i915-fbc-Disable-on-HSW-by-default-for-now.patch the problem went away.
Alternatively, enabling frame buffer compression back via kernel module options (enable_fbc=1)
for 4.6.3-300 also solves the issue.

Hence I'm changing component back to kernel.

Comment 3 Viktor Ashirov 2016-07-10 22:37:19 UTC
Ah, sorry about that.

And after 9 hours of running with FBC enabled, flickering appeared again. Though it's more rare.

Comment 4 peter 2016-07-19 19:37:17 UTC
I have upgraded a Lenovo Thinkpad S540 i5 Intel(R) Haswell Mobile from F23 (kernel-4.5.7-200.fc23.x86_64) to F24 (kernel-4.6.3-300.fc24.x86_64), and the display  flickers heavily. After login borders and the edges flicker. dnf did not remove the last two kernel, I can use kernel-4.5.7-200.fc23.x86_64. It works for us.

Comment 5 Mark 2016-07-21 21:02:49 UTC
On my Lenovo Thinkpad L540 kernel-4.6.3-300.fc24.i686+PAE and kernel-4.6.4-301.fc24.i686+PAE  shows a flickering too.


I have a Thinkpad L540 (i5-4300M):
00:02.0 VGA compatible controller: Intel Corporation 4th Gen Core Processor Integrated Graphics Controller (rev 06)


Kernel 4.5.7-202.fc23.i686+PAE seems to be fine.

Thank you

Comment 6 Jean-Jacques Sarton 2016-07-25 14:09:28 UTC
Acer Aspire E 17 with i5-4219U CPU and buildin HD Graphic 4400 the flickering occur after upgrade from F23 to F24.

While the display output is disturbed (may occur for a few seconds), mouse and keyboard inputs are not recognized.

The used kernel is 4.6.4-301.fc24.x86_64

Booting with the kernel 4.5.7-202.fc23 solve the problem.

00:02.0 VGA compatible controller: Intel Corporation Haswell-ULT Integrated Graphics Controller (rev 0b)

Xserver: xorg-x11-server-Xorg-1.18.4-1.fc24.x86_64

Comment 7 Jean-Jacques Sarton 2016-07-25 15:32:34 UTC
I have started the notebook with the 4.6.4-301 kernel and included the boot option: i915_enable_psr=0
With this the problem seem to be (temporary) solved.

Comment 8 Lyude 2016-07-26 18:40:40 UTC
I'm very suspicious of PSR being the culprit here. There were some issues with it on 4.6 but I thought we had pulled in all of the patches for fixing it. Right now I'm having trouble reproducing this on my 440s, but seeing as this might be an issue with PSR that's not too unusual. I'll keep trying, but do you know if there's anything specific you did to reproduce it?

In the mean time, I've started a koji build for a kernel RPM with some patches that might solve you issue. When it finishes (e.g. state says closed), would you mind testing it and letting me know if it solves your issues?

http://koji.fedoraproject.org/koji/taskinfo?taskID=15025631

Comment 9 Viktor Ashirov 2016-07-26 19:09:27 UTC
(In reply to Lyude from comment #8)
> I'm very suspicious of PSR being the culprit here. There were some issues
> with it on 4.6 but I thought we had pulled in all of the patches for fixing
> it. Right now I'm having trouble reproducing this on my 440s, but seeing as
> this might be an issue with PSR that's not too unusual. I'll keep trying,
> but do you know if there's anything specific you did to reproduce it?
> 
Nothing specific. Flickering may appear right after startup or after couple of
hours, in Wayland with Gnome Shell or in X11 with i3wm. 
> In the mean time, I've started a koji build for a kernel RPM with some
> patches that might solve you issue. When it finishes (e.g. state says
> closed), would you mind testing it and letting me know if it solves your
> issues?
> 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=15025631
Sure, I'll test it. Thanks!

Comment 10 peter 2016-07-26 19:30:55 UTC
(In reply to Lyude from comment #8)
> I'm very suspicious of PSR being the culprit here. There were some issues
> with it on 4.6 but I thought we had pulled in all of the patches for fixing
> it. Right now I'm having trouble reproducing this on my 440s, but seeing as
> this might be an issue with PSR that's not too unusual. I'll keep trying,
> but do you know if there's anything specific you did to reproduce it?

No, flickering starts at the edges after login. 

> In the mean time, I've started a koji build for a kernel RPM with some
> patches that might solve you issue. When it finishes (e.g. state says
> closed), would you mind testing it and letting me know if it solves your
> issues?

Of course. Unfortunately user and device are not near. We meet at the weekend.
Thank you!

Comment 11 Viktor Ashirov 2016-07-27 15:13:35 UTC
After running for 5 hours I've experienced flickering 3 times. It seems to be rare than usual, but it's still present.

Comment 12 Mark 2016-07-29 05:59:52 UTC
(In reply to Jean-Jacques Sarton from comment #7)
> I have started the notebook with the 4.6.4-301 kernel and included the boot
> option: i915_enable_psr=0
> With this the problem seem to be (temporary) solved.

I did on test with "option: i915_enable_psr=0" and the Flickering appear after Startup and after login (Wayland). X11 not tested.

Comment 13 peter 2016-08-02 12:40:51 UTC
I have "option: i915 enable psr = 0" towards added to the kernel parameters and start the laptop again, the flicker is still there.

Comment 14 peter 2016-08-02 12:43:31 UTC
I meant: i915_enable_psr=0

Comment 15 Christian Weiss 2016-08-06 14:03:25 UTC
I own a Lenovo Thinkpad E540 and the flickering startet with kernel-4.5.7-300.fc24.x86_64 too.

Setting kernel parameter i915.enable_psr=0 or i915.enable_fbc=1 didn't change something. Same behaviour. I checked if parameter is active in /sys/module/i915/parameters/enable_psr.

I'm using luks. Flickering already starting when the system asking for the luks password in "graphical mode". When pressing ESC and going back to the console flickering is away.

In X11 it always flickers.

Comment 16 Lyude 2016-08-08 19:49:58 UTC
I'm still having trouble reproducing this issue at all. I'm going to keep playing around with my setup to see if there's something I'm doing wrong here. In the mean time, would someone who's able to reproduce this bug be able to get me the following information:

- Add "drm.debug=0x6" to your kernel command line, and get me a full dmesg from your system while the flickering is hapepning
- If possible, an actual video recording of the flickering happening.

Comment 17 Hans de Goede 2016-08-08 19:58:31 UTC
If disabling PSR helps, then this upstream commit may fix things, Linus merged this because it fixes a similar issue on his Vaio with i5-4200U - Haswell ULT gfx:

https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit?id=dfd2e9ab6a7db56a5f5bb55f71485a92613c8e11

Linus indicated that this fixes a regression for him, so it seems that some recent i915 changes cause psr to get wrongly enabled on some Haswell machines (the T440s is Haswell too), and the linked commit adds an extra check causing PSR to not get enabled on affected machines.

Comment 18 Hans de Goede 2016-08-09 06:21:20 UTC
There is a 4.8-rc1 build with the fix I mentioned in comment 17 available now:

http://koji.fedoraproject.org/koji/buildinfo?buildID=789477

Can you please try downloading and installing this 4.8-rc1 build, download the kernel-core and kernel-modules x86_64 files and then do:

sudo rpm -ivh kernel-*.rpm

In a directory with those 2 files. Note that you need to use "-ivh" and not "-Uvh" so that the kernel gets installed next to your current kernel, this way you can always boot back into your current kernel if the new one has issues.

Comment 19 Viktor Ashirov 2016-08-09 12:33:09 UTC
(In reply to Lyude from comment #16)
> I'm still having trouble reproducing this issue at all. I'm going to keep
> playing around with my setup to see if there's something I'm doing wrong
> here. In the mean time, would someone who's able to reproduce this bug be
> able to get me the following information:
> 
> - Add "drm.debug=0x6" to your kernel command line, and get me a full dmesg
> from your system while the flickering is hapepning

Last time I tried, there was nothing logged at the time of flickering, but I will try to capture it again.

> - If possible, an actual video recording of the flickering happening.

Here's the extreme version of it https://www.youtube.com/watch?v=O0HHDXmkxLQ
It's very similar except that it flickers at much lower rate.


(In reply to Hans de Goede from comment #18)
> There is a 4.8-rc1 build with the fix I mentioned in comment 17 available
> now:
> 
> http://koji.fedoraproject.org/koji/buildinfo?buildID=789477
> 
> Can you please try downloading and installing this 4.8-rc1 build, download
> the kernel-core and kernel-modules x86_64 files and then do:
> 
> sudo rpm -ivh kernel-*.rpm
> 
> In a directory with those 2 files. Note that you need to use "-ivh" and not
> "-Uvh" so that the kernel gets installed next to your current kernel, this
> way you can always boot back into your current kernel if the new one has
> issues.

I can't boot 4.8-rc1, it panics at the very beginning.

Comment 20 Lyude 2016-08-09 17:40:28 UTC
Even if you don't catch the flickering in the log, it would be good to take a look at since there might be something else going wrong there.

As well: that video is titled "i915.modeset=0". Have you been booting the machine with this parameter enabled in your kernel? Because it prevents i915 from actually setting up the GPU at all…

Comment 21 Viktor Ashirov 2016-08-09 17:48:05 UTC
(In reply to Lyude from comment #20)
> Even if you don't catch the flickering in the log, it would be good to take
> a look at since there might be something else going wrong there.
Sure, I'll attach the log as soon as I encounter the flickering.
> 
> As well: that video is titled "i915.modeset=0". Have you been booting the
> machine with this parameter enabled in your kernel? Because it prevents i915
> from actually setting up the GPU at all…
I experimented with different options and just caught this. It's just an example of flickering similar to what I experienced, but at much higher rate. If it's useless, please ignore.

Comment 22 Christian Weiss 2016-08-09 20:08:07 UTC
The YouTube video in comment 17 is not, how my flickering behaves. On plain console while booting everything is ok. But graphical version of asking for luks encryption and in X11 it is flickering.

Disabling PSR don't help.

Comment 23 Christian Weiss 2016-08-09 20:09:22 UTC
Created attachment 1189392 [details]
dmesg with drm.debug=0x6

It flickers all the time since graphical luks asking for password.

Comment 24 Christian Weiss 2016-08-09 20:19:22 UTC
https://youtu.be/7c2_uXSQ6LA
https://youtu.be/GaDh4HYtoxA

Comment 25 Lyude 2016-08-09 21:43:40 UTC
(In reply to Christian Weiss from comment #23)
> Created attachment 1189392 [details]
> dmesg with drm.debug=0x6
> 
> It flickers all the time since graphical luks asking for password.

a-ha! Looks like this dmesg got the culprit: looks like i915 keeps trying to redo the link training on your machine

Viktor, does this look anything like what you were experiencing (not like the video you linked)?

Comment 26 Viktor Ashirov 2016-08-10 08:09:00 UTC
(In reply to Lyude from comment #25)
> Viktor, does this look anything like what you were experiencing (not like
> the video you linked)?

No, it's different. I don't have these issues during the boot or when luks asks for password.
To me it looks like fullscreen redraw, that happens from time to time. 

BTW, I managed to boot 4.8-rc1 with nox2apic. Will report results later today.

Comment 27 Viktor Ashirov 2016-08-10 18:21:34 UTC
Created attachment 1189781 [details]
dmesg

Here's my dmesg output with kernel 4.6.5-300. I had open terminal with `dmesg -w` 
while working, so I could notice what was logged during the flickering. But
nothing was logged.

With kernel-4.8-rc1 flickering still happens.

I'm going to start git bisect on kernel.

Comment 28 Viktor Ashirov 2016-08-13 15:41:13 UTC
I bisected to the following commit:

> commit 9b58e352b463f2f096d699d47b1c4c57879b617f
> Author: Rodrigo Vivi <rodrigo.vivi@intel.com>
> Date:   Fri Feb 12 04:08:13 2016 -0800
> 
>     drm/i915: Enable PSR by default on Haswell and Broadwell.
>     
>     With a reliable frontbuffer tracking and all instability corner cases
>     on Haswell and Broadwell solved let's re-enabled PSR by default on
>     these platforms.
>     
>     In case a new issue is found and PSR is the main suspect, please check
>     if i915.enable_psr=0 really makes your problem go away. If this is the case
>     PSR is the culprit so after that please check if i915.enable_psr=2
>     or i915.enable_psr=3 solves your issue and please let us know.
>     There are many panels out there and not all implementations apparently
>     work as we would expect.
>     
>     In case you needed to force it on standby or disabled or in case of any
>     PSR related bug please report it at bugs.freedesktop.org.
>     In a bugzilla entry for PSR is desirable:
>     - dmesg (drm.debug=0xe)
>     - output of /sys/kernel/debug/dri/0/i915_edp_psr_status
>     - Platform information. Vendor, model, id, pci id.
>     - Graphical environment: Gnome, KDE, openbox, etc...
>     - Details how to reproduce.
>     - Also good if you could run PSR test cases of Intel-gpu-tools
>     - Please mention if forcing main link standby or main link off helps you.
>     
>     There are Intel-gpu-tools test cases that can be helpful to
>     determine if PSR is working as expected:
>     kms_psr_sink_crc and kms_psr_frontbuffer_tracking.

And I missed the suggestion to try i915.enable_psr=0. So I just did that and it
works for me. With i915.enable_psr=2 and 3 I still have flickering:
https://www.youtube.com/watch?v=f86tV_guNnY
https://www.youtube.com/watch?v=hNqIdpk0MAo

It's reproducible more often when system is under load, such as compiling
kernel.

Comment 29 peter 2016-08-27 12:14:42 UTC
(In reply to Hans de Goede from comment #18)
> There is a 4.8-rc1 build with the fix I mentioned in comment 17 available
> now:
> 
> http://koji.fedoraproject.org/koji/buildinfo?buildID=789477
> 
> Can you please try downloading and installing this 4.8-rc1 build, download
> the kernel-core and kernel-modules x86_64 files and then do:
> 
> sudo rpm -ivh kernel-*.rpm
> 
> In a directory with those 2 files. Note that you need to use "-ivh" and not
> "-Uvh" so that the kernel gets installed next to your current kernel, this
> way you can always boot back into your current kernel if the new one has
> issues.

I have installed kernel, kernel-core, kernel-devel, kernel-modules. I had dependence problems with the headers, so I left it. Flicker has ceased. But the display becomes bright in a loop of 7 sec until you can not see anything more.
If I move the mouse, the schema is very clear and perfect. Stop moving, the loop is continued.

Comment 30 Hans de Goede 2016-08-28 13:03:36 UTC
HI,

(In reply to peter from comment #29)
> (In reply to Hans de Goede from comment #18)
> > There is a 4.8-rc1 build with the fix I mentioned in comment 17 available
> > now:
> > 
> > http://koji.fedoraproject.org/koji/buildinfo?buildID=789477
> > 
> > Can you please try downloading and installing this 4.8-rc1 build, download
> > the kernel-core and kernel-modules x86_64 files and then do:
> > 
> > sudo rpm -ivh kernel-*.rpm
> > 
> > In a directory with those 2 files. Note that you need to use "-ivh" and not
> > "-Uvh" so that the kernel gets installed next to your current kernel, this
> > way you can always boot back into your current kernel if the new one has
> > issues.
> 
> I have installed kernel, kernel-core, kernel-devel, kernel-modules. I had
> dependence problems with the headers, so I left it. Flicker has ceased. But
> the display becomes bright in a loop of 7 sec until you can not see anything
> more.
> If I move the mouse, the schema is very clear and perfect. Stop moving, the
> loop is continued.

Ugh, that is not good. Can you try with rc3 please ? :

http://koji.fedoraproject.org/koji/buildinfo?buildID=793599

And if that stlll has it please file a bug upstream as decribed here:

https://01.org/linuxgraphics/documentation/how-report-bugs

And put REGRESSION in the summary / subject of the bug and in the description mention that with 4.7 you need to disable psr, but that things otherwise work with 4.7 and not so much with 4.8 .

Thanks &  Regards,

Hans

Comment 31 peter 2016-08-29 19:40:20 UTC
(In reply to Hans de Goede from comment #30)
> HI,
> 
> (In reply to peter from comment #29)
> > (In reply to Hans de Goede from comment #18)
> > > There is a 4.8-rc1 build with the fix I mentioned in comment 17 available
> > > now:
> > > 
> > > http://koji.fedoraproject.org/koji/buildinfo?buildID=789477
> > > 
> > > Can you please try downloading and installing this 4.8-rc1 build, download
> > > the kernel-core and kernel-modules x86_64 files and then do:
> > > 
> > > sudo rpm -ivh kernel-*.rpm
> > > 
> > > In a directory with those 2 files. Note that you need to use "-ivh" and not
> > > "-Uvh" so that the kernel gets installed next to your current kernel, this
> > > way you can always boot back into your current kernel if the new one has
> > > issues.
> > 
> > I have installed kernel, kernel-core, kernel-devel, kernel-modules. I had
> > dependence problems with the headers, so I left it. Flicker has ceased. But
> > the display becomes bright in a loop of 7 sec until you can not see anything
> > more.
> > If I move the mouse, the schema is very clear and perfect. Stop moving, the
> > loop is continued.
> 
> Ugh, that is not good. Can you try with rc3 please ? :
> 
> http://koji.fedoraproject.org/koji/buildinfo?buildID=793599

Hi,

The display turns now only during the boot process into white (loop), after login the screen is stable. No more flicker. Turn off the computer the display turns into white again. But this isn't so bad. Shuld not be.

Thanks

Peter
> 
> And if that stlll has it please file a bug upstream as decribed here:
> 
> https://01.org/linuxgraphics/documentation/how-report-bugs
> 
> And put REGRESSION in the summary / subject of the bug and in the
> description mention that with 4.7 you need to disable psr, but that things
> otherwise work with 4.7 and not so much with 4.8 .
> 
> Thanks &  Regards,
> 
> Hans

Comment 32 Hans de Goede 2016-08-30 07:28:42 UTC
(In reply to peter from comment #31)
> Hi,
> 
> The display turns now only during the boot process into white (loop), after
> login the screen is stable. No more flicker. Turn off the computer the
> display turns into white again. But this isn't so bad. Shuld not be.

Yes better, but still not good, can you please file a bug for this upstream?

Thanks & Regards,

Hans

Comment 33 peter 2016-08-31 20:02:16 UTC
(In reply to Hans de Goede from comment #32)
> (In reply to peter from comment #31)

> Yes better, but still not good, can you please file a bug for this upstream?
> 
> Thanks & Regards,
> 
> Hans

Hi,

sure, asap.

Thanks & Regards,

Peter

Comment 34 Aynur Yanturin 2016-09-04 09:52:32 UTC
Lenovo IdeaPad Y530 Touch with Intel Haswell Mobile and Nvidia 730M.

I've had Fedora 24 for a month now, and the update to the 4.6 kernel broke my video driver - Optimus laptop with Nvidia 730M and Intel cards. The screen started flickering like a flourescent lamp, and this really hurts my eyes, and is maddening. Running a program through the discrete adapter via bumblebee has no issues.
I managed to find a workaround - by appending i915.enable_psr=0 to the kernel parameter line.
Having updated to the 4.7 kernel today, I erased this parameter to see if it's been fixed - nope, the bug is still there.
Apparently, the 4.8 kernel version used in 25 Alpha makes things even worse.
Here's what it looks like:

https://www.youtube.com/watch?v=sc7xHvtiBz0&feature=youtu.be

Comment 35 Aynur Yanturin 2016-09-04 10:16:46 UTC
Also, I'd like yo point out that this is not a Fedora specific issue: I had the same flickering with an Arch linux fresh install. The recent Korora Live CD also brings out the same issue.

Comment 36 peter 2016-09-07 21:59:46 UTC
(In reply to peter from comment #33)
> (In reply to Hans de Goede from comment #32)
> > (In reply to peter from comment #31)
> 
> > Yes better, but still not good, can you please file a bug for this upstream?
> > 
> > Thanks & Regards,
> > 
> > Hans
> 
> Hi,
> 
> sure, asap.
> 
> Thanks & Regards,
> 
> Peter

Hi,

I followed the recommended link "How to file a bug report". The Build Guide required for packages that do not  exists for Fedora (libxi-dev libxmu-dev x11proto-xf86vidmode-dev) and the kernel-headers does not exists if I try to install with dnf. I thought it makes no sense to continue. I collected some information about the device. dmesg I hang also still on. Perhaps this helps also.

chipset:    4 x Intel®core i5-4210U CPU @ 1.70GHz
system architecture: 64-bit
xserver: 11.0 Fedora Project
mesa: Mesa DRI Intel(R)Haswell Mobile
kernel: 4.8.0-0.rc3.git0.1.fc25.x86_64
Linux distribution: Fedora 24
display connector: FHD, Laptop screen 1920*1080 px (full hd), mat.

Comment 37 peter 2016-09-07 22:04:07 UTC
Created attachment 1198835 [details]
dmesg.txt file of peters Lenovo S540

Comment 38 peter 2016-09-07 22:12:53 UTC
(In reply to Hans de Goede from comment #32)
> (In reply to peter from comment #31)
> > Hi,
> > 
> > The display turns now only during the boot process into white (loop), after
> > login the screen is stable. No more flicker. Turn off the computer the
> > display turns into white again. But this isn't so bad. Shuld not be.
> 
> Yes better, but still not good, can you please file a bug for this upstream?
> 
> Thanks & Regards,
> 
> Hans

Hi, 

if I can help otherwise I'll try. The device is not locally, always takes something.

Thanks & Regards,

Peter

Comment 39 Hans de Goede 2016-09-08 06:47:46 UTC
Hi,

Please file an upstream bug skipping the steps to test the latest upstream code, the code we've in Fedora is pretty new anyways.

Regards,

Hans

Comment 40 peter 2016-09-13 21:41:10 UTC
(In reply to Hans de Goede from comment #39)
> Hi,
> 
> Please file an upstream bug skipping the steps to test the latest upstream
> code, the code we've in Fedora is pretty new anyways.
> 
> Regards,
> 
> Hans

Hi,

I joined the bug 97056. Absolutely the same.

Thanks in advance.

Kind regards,

Peter

Comment 41 Tim 2016-09-21 22:19:40 UTC
Hi all!

Here is some info related to my experience with this bug; I hope it helps:

- I can confirm that the issue exists on my Toshiba Portege z30 running 4.7.3-200.fc24.x86_64. The computer has a Intel Core i7-4600U CPU and Intel Haswell Mobile display chipset. 

- The issue started when I upgraded the Kernel from 4.5.7-202 to 4.6.4-201. Until that upgrade, I never experienced this issue.

- The issue remains in Kernels 4.6.6-200, 4.7.3-100 and 4.7.3-200.

- The symptom is that the Plymouth graphical boot software hangs after a minute or two. Pressing the Caps Lock key shows the LED lighting up as expected, and ACPI handles a graceful shutdown if I press the power key, but there is no keyboard or mouse input at all, and Plymouth never recovers. 

- If I plug an external monitor in while Plymouth has hung, I get to see the tty error messages scrolling by.  The main message is "Timed out waiting for PSR Idle for re-enable". 

- The system logs show other messages related to "drm:intel_psr_work", "drm:intel_set_cpu_fifo" and "drm:intel_dp_start_link_train".  Please let me know if you want more details. 

- The work-around suggested above (adding i915_enable_psr=0 to the grub boot line) works for Kernel 4.7.3-200 (fc24).

Please let me know if you need any other details. 

Thanks,
  Tim.

Comment 42 peter 2017-04-17 20:54:57 UTC
Hi,

I tested the live usb fc26 alpha, kernel-4.11.0.0.rc1.git0.1.fc26.x86_64. It worked. No flickering. Then I tried the current kernel-4.10.9-100.fc24.x86_64, it works synonymous. No more problems. For me the bug is fixed.

Thanks!

Comment 43 Fedora End Of Life 2017-07-25 21:42:25 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 44 Fedora End Of Life 2017-08-08 15:29:19 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.